label: "Sign up block"
description: "Sign up block used in the footer"
group: Other
homepage: "https://designsystem.digital.gov/components/footer/"
props:
  heading:
    label: Heading
    description: "H3 value of sign up block"
    schema:
      type: string
  label:
    label: Label
    description: "Label of the sign up for."
    schema:
      type: string
  button_label:
    label: "Button label"
    description: "Button label for the sign up form."
    schema:
      type: string
  form_url:
    label: "Sign up form URL"
    description: "URL the form should go to."
    schema:
      type: string
examples:
  preview:
    label: Preview
    renderable:
      heading: "Sign up"
      label: "Your email address"
      button_label: "Sign up"
      form_url: /
_discovery:
  - drupal_ui_patterns
